Bug 1222504 - Import from SOAP wizard pops up multiple validation result messages
Summary: Import from SOAP wizard pops up multiple validation result messages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Barry LaFond
QA Contact: Andrej Smigala
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-18 11:35 UTC by Andrej Smigala
Modified: 2015-11-17 18:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-17 18:08:16 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker TEIIDDES-2526 Major Closed Import from SOAP wizard pops up multiple validation result messages 2015-10-26 18:21:44 UTC

Description Andrej Smigala 2015-05-18 11:35:30 UTC
Clicking around the SOAP import wizard, the WSDL Validation Results message pops up several times, sometimes showing the wrong result (validation success when the connection profiles is in fact invalid).
Also, when opening the wizard again after closing it, a validation error pops up.

Steps to reproduce:
# File> Import > Web Service Source >> Source and View Mode (SOAP)
# Create a valid connection profile
# Click Validate WSDL, a message pops up about successful validation
# Click Next
# Click Back, the message pops up for no reason
# Edit the connection profile, change it so that it is no longer valid
# After closing the Connection Profile Properties dialog, the validation message pops up again, saying the validation was successful
# Close the wizard, open it again
# A WSDL Parse Error message pops up

Comment 2 Barry LaFond 2015-05-18 13:14:53 UTC
Recommend pushing to next patch release 9.0.3

Comment 3 JBoss JIRA Server 2015-07-22 20:52:30 UTC
Ted Jones <tejones@redhat.com> updated the status of jira TEIIDDES-2526 to Resolved

Comment 4 JBoss JIRA Server 2015-08-03 10:16:23 UTC
Andrej Šmigala <asmigala@redhat.com> updated the status of jira TEIIDDES-2526 to Closed

Comment 5 JBoss JIRA Server 2015-08-03 10:50:05 UTC
Andrej Šmigala <asmigala@redhat.com> updated the status of jira TEIIDDES-2526 to Reopened

Comment 6 JBoss JIRA Server 2015-08-03 10:50:19 UTC
Andrej Šmigala <asmigala@redhat.com> updated the status of jira TEIIDDES-2526 to Closed


Note You need to log in before you can comment on or make changes to this bug.